package space.kklochko.spring_rest_example.models;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.UUID;

@Table(name = "tokens", uniqueConstraints = {
        @UniqueConstraint(columnNames = {"username"}),
})
@Entity
@AllArgsConstructor
@Data
public class Token {
    @Id
    @Column(nullable = true)
    private UUID id;
    private String username;
    private String role;
    private String token;

    public Token() {
        setId(UUID.randomUUID());
        setUsername("");
        setRole("");
        setToken("");
    }

    public Token(String username, String role, String token) {
        setId(UUID.randomUUID());
        setUsername("");
        setRole("");
        setToken("");
    }
}
