package space.kklochko.spring_rest_example.security.access;

public class AccessPower {
    int ADMIN = 2;
    int USER = 1;

    public int accessPower(String role) {
        if(role.equals("ADMIN"))
            return ADMIN | USER;

        if(role.equals("USER"))
            return USER;

        return 0;
    }

    public boolean isUser(String role) {
        int power = accessPower(role);

        return (power & USER) != 0;
    }

    public boolean isAdmin(String role) {
        int power = accessPower(role);

        return (power & ADMIN) != 0;
    }
}

